The idea is to record here changes that deserve mentioning in
the release notes, as we make them, to make the release process easier.

Next version:

* make release auto-update checks reliable on first launch and while the app remains open
* ask before downloading an update; retry transient failures and defer a declined version for seven days
* Plus 3.7.3 and Plus 3.7.4 users who have never checked manually must upgrade manually once

3.6
* add `ShowLinks` advanced setting and `Toggle Show Links` for command palette (`Ctrl + K`)
* `-search` cmd-line arg now copies search term to find box so that F3 works
* add `LazyLoading` advanced setting, defaults to true. When restoring a session lazy loading delays loading a file until its tab is selected. Makes SumatraPDF startup faster.
* add `ScrollbarInSinglePage` advanced setting. False by default. If true, shows scrollbar even in single page, non-continuous mode
* add `FastScrollOverScrollbar` advanced setting. False by default. If true, when mouse is over a scrollbar, scrolling with mouse wheel is faster
* add `SmoothScroll` advanced. setting. False by default. If true, 

3.5.2 (2023-10-25)
* fix not showing tab text
make menus in dark themes look more like standard menus (bigger padding)
* fix Bookmarks for folder showing bad file names

3.5.1 (2023-10-24)
* fix uninstaller crash
* disable lazy loading of files when restoring a session

3.5 (2023-10-23)
* CmdEditAnnotation select annotation under cursor and open annotation edit window
* rename CmdShowCursorPosition => CmdToggleCursorPosition
* add Annotations [ FreeTextColor, FreeTextSize, FreeTextBorderWidth ] settings
* change: to move annotations, must press Ctrl
* add CmdCommandPaletteOnlyTabs and bind it to Alt + K
* exit fullscreen / presentation modes via double click with left mouse button
* ability to drag out a tab to open it in new window
* support opening .avif images (including inside .cbz/,cbr files)
* respect image orientation exif metadata in .jpeg and .png images
* support Adobe Reader syntax for opening files /A "page=<pageno>#nameddest=<dest>search=<string>
* add Next Tab / Prev Tab commands and bind them to Ctrl + PageUp / Ctrl + PageDown
* keep Home tab open; add NoHomeTab advanced option to disable that
* add context menu to tabs
* bugfix: handle files we can't open in next file in folder / prev file in folder commands
* command palette: when search starts with >, only show commands, not files (like in Visual Studio Code)
* add reopen last closed command (Ctrl + Shift + T, like in web browsers)
* add clear history command
* can send commands via DDE
* added CmdOpenWithExplorer, CmdOpenWithDirectoryOpus, CmdOpenWithTotalCommander, CmdOpenWithDoubleCommander commands
* enable CmdCloseOtherTabs, CmdCloseTabsToTheRight commands from command palette
* recognize PgUp / PgDown in keyboard shortcuts
add -disable-auto-rotation cmd-line print option
* Arm 64 builds

3.4.6 (2022-06-08)
* fix crashes
* fix hang in Fit Content mode and Bookmark links

3.4.5 (2022-06-05)
* fix crashes

3.4.4 (2022-06-02)
* restore HOME and END in find edit field
* fix crashes

3.4.3 (2022-05-29)
* re-enable Backspace in edit field
* fix installation for all users when using custom installation directory
* re-enable Copy Image context menu for comic book files
* fix display of some PDF images
* fix slow loading of some ePub files

3.4.2 (2022-05-27)
* make keyboard accelerators work when tree view has focus
* fix -set-color-range and -bg-color replacing MainWindowBackground
* fix crash with incorrectly defined selection handlers

3.4.1 (2022-05-25)
* fix downloading of symbols for better crash reports

3.4 (2022-05-24)
* Command Palette
* customizable keyboard shortcuts
* better support for epub files using mupdf’s epub engine. Adds text selection and search in ebook files. Better rendering fidelity. On the downside, might be slower.
* search / translate selected text with web services
* we have few built-in and you can add your own
* installer: -all-users cmd-line arg for system-wide install
* added Annotations.TextIconColor and TextIconType advanced settings
* added Annotations.UnderlineColor advanced setting
* added Annotations.DefaultAuthor advanced setting
* i keyboard shortcuts inverts document colors Shift + i does what i used to do i.e. show page number
* u and Shift + u keyboard shortcuts adds underline annotation for currently selected text
* Delete / Backspace keyboard shortcuts delete an annotation under mouse cursor
support .svg files
* faster scrolling with mouse wheel when cursor over scrollbar
* add -search cmd-line option and [Search("<file>", "<search-term>")] DDE command
* a way to get list of used fonts in properties window
* support opening .heic image files (if Windows heic codec is installed)
* add experimental smooth scrolling (enabled with SmoothScroll advanc


3.3.3 (2021-07-20)
* fix a crash in PdfFilter.dll

3.3.2 (2021-07-19)
* restore showing Table Of Contents for .chm files
* fix crashes

3.3.1 (2021-07-14)
* fix rotation of DjVu files

3.3 (2021-07-06)
* initial support for editing annotations
* toolbar: new look and DPI scalability
* toolbar: add rotate buttons

3.2 (2020-03-15)
* upgraded core PDF parsing rendering to latest version of mupdf. Faster, less bugs.
* support for multiple windows
* improved management of favorites
* dropped support for Windows XP. Use 3.1.2 on XP.

3.1.1 (2015-11-02)
* (re)add support for old processors that don't have SSE2
* support newer versions of unrar.dll
* allow keeping browser plugin if it's already installed
* crash fixes

3.1 (2015-10-24)

* 64bit builds
* all documents are restored at startup if a window with multiple tabs
  is closed (or if closing happened through File -> Exit); this can be
  disabled through the RestoreSession advanced setting
* printing happens (again) always as image which leads to more reliable
  results at the cost of requiring more printer memory; the "Print as Image"
  advanced printing option has been removed
* scrolling with touchpad (e.g. on Surface Pro) now works
* many crash and other bug fixes

3.0 (2014-10-18)

* Tabs!
* deprecated the browser plugin (remains installed if used)
* support table of contents and links in ebook UI
* add support for PalmDoc ebooks
* add support for displaying CB7 and CBT comic books (in addition to CBZ and CBR)
* add support for LZMA and PPMd compression in CBZ comic books
* allow saving Comic Book files as PDF
* swapped keybindings:
  * F11 : Fullscreen mode (still also Ctrl+Shift+L)
  * F5  : Presentation mode (also Shift+F11, still also Ctrl+L)
* added a document measurement helper (invoke by pressing M)
* new advanced settings: FullPathInTitle, UseSysColors (no longer exposed through the Options dialog)
* replaced non-free UnRAR with a free RAR extraction library
  (if some CBR files fail to open for you, please download unrar.dll from
  https://www.rarlab.com/rar_add.htm and place it alongside SumatraPDF.exe)
* removed support for reading sumatrapdfprefs.dat (when updating from a version prior to
  version 2.3, please upgrade to 2.5.2 first and have that convert your settings to the
  format introduced in version 2.3 before updating to a later version)

2.5.2 (2014-05-13)

* use less memory for comic book files
* PDF rendering improvements

2.5.1 (2014-05-07):

* hopefully fix frequent ebook crashes

2.5 (2014-05-05):

* 2 page view for ebooks
* new keybindings:
  * Ctrl+PgDn, Ctrl+Right : go to next page
  * Ctrl+PgUp, Ctrl+Left  : go to previous page
* 10x faster ebook layout
* support JP2 images
* new advanced settings: ShowMenuBar, ReloadModifiedDocuments, CustomScreenDPI
* left/right clicking no longer changes pages in fullscreen mode
  (use Presentation mode if you rely on this feature)
* fixed multiple crashes

2.4 (2013-10-01):

* full-screen mode for ebooks (Ctrl-L)
* new key bindings:
  * F9 - show/hide menu (not remembered after quitting)
  * F8 - show/hide toolbar
* support WebP images
* support for RAR5 compressed comic books
* fixed multiple crashes

2.3.2 (2013-05-25):

* fix a bug changing a language using Settings/Change Language menu

2.3.1 (2013-05-23):

* not compiled with SSE2

2.3 (2013-05-22):

* more configurability. Settings are now saved in human-editable
  SumatraPDF-settings.txt (instead of binary sumatrapdfprefs.dat)
  and there are more settings for customizing Sumatra. For more
  documentation see https://blog.kowalczyk.info/software/sumatrapdf/settings.html
* "Go To Page" for ebook format
* add support for OpenXPS documents
* add View/Manga Mode menu item for Comic Book (CBZ/CBR) files
* support Deflate64 in Comic Book (CBZ) files
* new key bindings:
  * Ctrl-Up   : page up
  * Ctrl-Down : page down
* fixed paragraph indentation missing for EPUB documents
* printing with "Use original page sizes" no longer centers pages on paper
* reduced size. Installer is ~1MB smaller

2.2.1 (2013-01-12):

* fixed ebooks sometimes not remembering the viewing position
* fixed Sumatra not exiting when opening files from a network drive
* fixes for most frequent crashes, PDF parsing robustness fixes and
  regressions from 2.1.1 introduced in 2.2

2.2 (2012-12-24):

* add support for FictionBook ebook format
* add support for PDF documents encrypted with Acrobat X
* “Print as image” compatibility option for documents that fail to print properly
* -manga-mode [1|true|0|false] for proper display of manga comic books
* fixed a reuse-after-free crash reported by John Leitch from
  Microsoft Vulnerability Research (MSVR)
* fixed multiple crashes caused by overflows

2.1.1 (2012-05-07):

* fix a couple of crashes, most importantly crash when resizing some ePub files

2.1 (2012-05-03):

* support for EPUB ebook format
* added menu item to rename a file (contributed by Vasily Fomin)
* support multi-page TIFF files
* support TGA images
* support for some comic book (CBZ) metadata
* support JPEG XR images (available on Windows Vista or later,
  for Windows XP the Windows Imaging Component has to be installed)
* fixed multiple heap overflows reported by John Leitch from
  Microsoft Vulnerability Research (MSVR) and by Carlo Di Dato (aka shinnai)
* the installer is now signed

2.0.1 (2012-04-08):

* fix loading .mobi files from command line
* fix a crash loading multiple .mobi files at once
* fix a crash showing tooltips for table of contents tree entries

2.0 (2012-04-02):

* support for mobi ebook format
* we can now open CHM documents from network drives
* images from documents can be copied from the context menu
* document colors can be replaced with Windows system colors
  (option hidden if Windows displays text black-on-white)
* smaller size thanks to ucrt

1.9 (2011-11-23):

* CHM documents support
* support touch gestures (available on Windows 7 or later)
  (contributed by Robert Prouse)
* open linked audio and video files in an external media player
* improved support for PDF transparency groups

1.8 (2011-09-18):

* improved support for PDF form text fields
* various minor improvements and crash fixes
* speedup handling some djvu files

1.7 (2011-07-18):

* favorites
* logical page numbers are displayed and used, if a document
  provides them (such as i, ii, iii, etc.)
* allow to restrict SumatraPDF's features with more granularity; see
  https://code.google.com/p/sumatrapdf/source/browse/trunk/docs/sumatrapdfrestrict.ini
* -named-dest also matches strings in table of contents
* improved support for EPS files (requires Ghostscript)
* improved support for right-to-left languages e.g. Arabic
* more robust installer (requires to close programs, like a browser, that
  are using Sumatra components, preventing them from being over-written
  during installation)

1.6 (2011-05-30):

* display Frequently Read list when no document is open
* add support for displaying DjVu documents
* add support for displaying Postscript documents
  (requires a recent Ghostscript installation)
* add support for displaying a folder containing images
  (to display it, drag the folder over SumatraPDF)
* support clickable links and a Table of Content for XPS documents
* optional previewing of PDF documents in Windows Vista and 7 (creates
  thumbnails and displays documents in Explorer's Preview pane)
* display printing progress and allow to cancel it
* add Print toolbar button

1.5.1 (2011-04-27):

* fixes for crashes

1.5 (2011-04-23):

* add support for displaying XPS documents
* add support for displaying CBZ and CBR comic books
* add "Save Shortcut" to create shortcuts to specific places in a document
* add a basic context menu for copying text, link addresses and comments
  (and saving and printing for the browser plugin)
* add folder browsing (Ctrl+Shift+Right opens the next PDF document in the
  current folder, Ctrl+Shift+Left the previous one)

1.4 (2011-03-12):

* browser plugin for Mozilla Firefox, Google Chrome and Opera for displaying
  PDF documents with SumatraPDF inside the browser (does NOT work under MSIE)
* IFilter for PDF to support searching document contents with
  Windows Desktop Search (full text search from Windows Vista/7's Start Menu)
* add support for AES-256 encrypted documents
* Right Mouse now drags the document (same as Shift+Left),
  Right+Scroll zooms it (same as Ctrl+Scroll)
* add menu item to open with Foxit Reader and PDF-XChange Viewer (if installed)
* add suport for custom installation directories in the installer
* removed -title cmd-line option
* we no longer compress binaries that come with installer with mpress to
  avoid anti-virus programs flagging us as a virus. The portable, .zip version
  is still compressed with mpress
* fixed an integer overflow reported by Jeroen van der Gun

1.3 (2011-02-04):

* improved text selection and copying. We now mimic the way a browser
  or Adobe Reader works: just select text with mouse and use Ctrl+C
  to copy it to a clipboard
* Shift+Left Mouse now scrolls the document, Ctrl+Left mouse still
  creates a rectangular selection (for copying images)
* 'c' shortcut toggles continuous mode
* '+' / '*' on the numeric keyboard now do zoom and rotation
* added toolbar icons for Fit Page and Fit Width and updated
  the look of toolbar icons
* add support for back/forward mouse buttons for back/forward navigation
* 1.2 introduces a new full screen mode and made it the default
  full screen mode. Old mode was still available but not easily
  discoverable. We've added View/Presentation menu item for
  new full screen mode and View/Fullscreen menu item for the old
  full screen mode, to make it more discoverable
* new, improved installer
* improved zoom performance (zooming to 6400% no longer crashes)
* text find uses less memory
* further printing improvements
* translation updates
* updated to latest mupdf for misc bugfixes and improvements
* use libjpeg-turbo library instead of libjpeg, for faster decoding
  of some PDFs
* updated openjpeg library to version 1.4 and freetype to version 2.4.4
* fixed 2 integer overflows reported by Stefan Cornelius from Secunia Research

1.2 (2010-11-26):

* improved printing: faster and uses less resources
* add Ctrl+Y as a shortcut for Custom Zoom
* add Ctrl+A as a shortcut for Select All Text
* improved full screen mode
* open embedded PDF documents
* allow saving PDF document attachments to disk
* latest fixes and improvements to PDF rendering from mupdf project

1.1 (2010-05-20):

* added book view (“View/Book View” menu item) option. It’s known as “Show Cover Page During Two-Up” in Adobe Reader
* added “File/Properties” menu item, showing basic information about PDF file
* added “File/Send by email” menu
* added export as text. When doing “File/Save As”, change “Save As types” from “PDF documents” to “Text documents”. Don’t expect miracles, though. Conversion to text is not very good in most cases.
* auto-detect commonly used TeX editors for inverse-search command
* bug fixes to PDF handling (more PDFs are shown correctly)
* misc bug fixes and small improvements in UI
* add Ctrl + and Ctrl – as shortcuts for zooming (matches Adobe Reader)

1.0.1 (2009-11-27):

* many memory leaks fixed (Simon Bünzli)
* potential crash due to stack corruption (pointed out by Christophe Devine)
* making Sumatra default PDF reader no longer asks for admin priviledges on Vista/Windows 7
* translation updates

1.0 (2009-11-17):

* lots of small bug fixes and improvements

0.9.4 (2009-07-19):

* improved PDF compatibility (more types of documents can be rendered)
* added settings dialog (contributed by Simon Bünzli)
* improvements in handling unicode
* changed default view from single page to continuous
* SyncTex improvements (contributed by William Blum)
* add option to not remember opened files
* a new icon for documents association (contributed by George Georgiou)
* lots of bugfixes and UI polish

0.9.3 (2008-10-07):

* fix an issue with opening non-ascii files
updated Japanese and Brazillian translation

0.9.2 (2008-10-06):

* ability to disable auto-update check
* improved text rendering - should fix problems with overlapping text
* improved font substitution for fonts not present in PDF file
* can now open PDF files with non-ascii names
* improvements to DDE (contributed by Danilo Roascio)
* SyncTex improvements
* improve persistence of state (contributed by Robert Liu)
* fix crash when pressing 'Cancel' when entering a password
* updated translations

0.9.1 (2008-08-22):

* improved rendering of some PDFs
* support for links inside PDF file
* added -restrict and -title cmd-line options (contributed by Matthew Wilcoxson)
* enabled SyncTex support which mistakenly disabled in 0.9
misc fixes and translation updates

0.9 (2008-08-10):

* add Ctrl+P as print shortcut
* add F11 as full-screen shortcut
* password dialog no longer shows the password
* support for AES-encrypted PDF files
* updates to SyncTeX/PdfSync integration (contributed by William Blum)
* add -nameddest command-line option and DDE commands for jumping to named destination(contributed by Alexander Klenin)
* add -reuse-instance command-line option (contributed by William Blum)
* add DDE command to open PDF file (contributed by William Blum)
* removed poppler rendering engine resulting in smaller program and updated to latest mupdf sources
* misc bugfixes and translation updates

0.8.1 (2008-05-27):

* automatic reloading of changed PDFs (contributed by William Blum)
* tex integration (contributed by William Blum)
* updated icon for case-sensitivity selection in find (contributed by Sonke Tesch)
* language change is now a separate dialog instead of a menu
* remember more settings (like default view)
* automatic checks for new versions
* add command-line option -lang $lang
* add command-line option -print-dialog (contributed by Peter Astrand)
* ESC or single mouse click hides selection
* fix showing boxes in table of contents tree
* translation updates (contributed by many people)

0.8 (2008-01-01):

* added search (contributed by MrChuoi)
* added table of contents (contributed by MrChuoi)
* added many translation (contributed by many people)
* new program icon
* fixed printing
* fixed some crashes
* rendering speedups
* fixed loading of some PDFs
* add command-line option -esc-to-exit
* add command-line option -bgcolor $color

0.7 (2007-07-28):

* added ability to select the text and copy to clipboard - contributed by Tomek Weksej
* made it multi-lingual (13 translations contributed by many people)
* added Save As option
* list of recently opened files is updated immediately
* fixed .pdf extension registration on Vista
* added ability to compile as DLL and C# sample application - contributed by Valery Possoz
* mingw compilation fixes and project files for CodeBlocks - contributed by MrChuoi
* fixed a few crashes
* moved the sources to Google Code project hosting

0.6 (2007-04-29):

* enable opening password-protected PDFs
* don't allow printing in PDFs that have printing forbidden
* don't automatically reopen files at startup
* fix opening PDFs from network shares
* new, better icon
* reload the document when changing rendering engine
* improve cursor shown when dragging
* fix toolbar appearance on XP and Vista with classic theme
* when MuPDF engine cannot load a file or render a page, we fallback to * poppler engine to make rendering more robust
* fixed a few crashes

0.5 (2007-03-04):

* fixed rendering problems with some PDF files
* speedups - the application should feel be snappy and there should be less waiting for rendering
* added 'r' keybinding for reloading currently open PDF file
* added <Ctrl>-<Shift>-+ and <Ctrl>-<Shift>-- keybindings to rotate clockwise and counter-clockwise (just like Acrobat Reader)
* fixed a crash or two

0.4 (2007-02-18):

* printing
* ask before registering as a default handler for PDF files
* faster rendering thanks to alternative PDF rendering engine. Previous engine is available as well.
* scrolling with mouse wheel
* fix toolbar issues on win2k
* improve the way fonts directory is found
* improvements to portable mode
* uninstaller completely removes the program
* changed name of preferences files from prefs.txt to sumatrapdfprefs.txt

0.3 (2006-11-25):

* added toolbar for most frequently used operations
* should be more snappy because rendering is done in background and it caches one page ahead
* some things are faster

0.2 (2006-08-06):

* added facing, continuous and continuous facing viewing modes
* remember history of opened files
* session saving i.e. on exit remember which files are opened and restore the session when the program is started without any command-line parameters
* ability to open encrypted files
* "Go to page dialog"
* less invasive (less yellow) icon that doesn't jump at you on desktop
* fixed problem where sometimes text wouldn't show (better mapping for fonts; use a default font if can't find the font specified in PDF file)
* handle URI links inside PDF documents
* show "About" screen
* provide a download in a .zip file for those who can't run installation program
* switched to poppler code instead of xpdf

0.1 (2006-06-01):

* first version released
